--- old/usr/src/uts/common/sys/kstat.h	Thu Jan 28 18:01:12 2016
+++ new/usr/src/uts/common/sys/kstat.h	Thu Jan 28 18:01:12 2016
@@ -23,6 +23,7 @@
  * Use is subject to license terms.
  *
  * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2016 Garrett D'Amore
  */
 
 #ifndef	_SYS_KSTAT_H
@@ -482,6 +483,8 @@
 		long		l;
 		ulong_t		ul;
 
+		hrtime_t	t;
+
 		/* These structure members are obsolete */
 
 		longlong_t	ll;
@@ -528,6 +531,11 @@
  */
 #define	KSTAT_DATA_STRING	9
 
+/*
+ * Value is an hrtime_t, in seconds since system boot.
+ */
+#define	KSTAT_DATA_TIME		10
+
 /* These types are obsolete */
 
 #define	KSTAT_DATA_LONGLONG	KSTAT_DATA_INT64
